in vec2 texCoord;
in vec4 vertexcolor;

uniform sampler2D colorMap;

uniform vec4 glColor;
uniform float testvalue;


void main (void)
{
	vec4 color = texture2D(colorMap, texCoord)*vertexcolor*glColor;
	if (color.a<0.3*0.289*1.54) discard;
	gl_FragColor = color;
}
